com.fasterxml.jackson.dataformat.javaprop.io

## Class JPropReadContext.ArrayContext

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.javaprop.io.JPropReadContext
    - - com.fasterxml.jackson.dataformat.javaprop.io.JPropReadContext.ArrayContext

- Enclosing class:
    JPropReadContext

      protected static final class JPropReadContext.ArrayContext
      extends JPropReadContext

  Cursor used for traversing non-empty JSON Array nodes

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.dataformat.javaprop.io.JPropReadContext

      `JPropReadContext.ArrayContext, JPropReadContext.ObjectContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Iterator<JPropNode>` | `_contents`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.javaprop.io.JPropReadContext

      `_branchText, _currentName, _currentText, _currentValue, _nextNode, _parent, _state`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPropReadContext.ArrayContext(JPropReadContext p, JPropNode arrayNode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.javaprop.io.JPropReadContext

      `create, getCurrentName, getCurrentText, getCurrentValue, getParent, nextContext, overrideCurrentName, setCurrentValue`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, toString, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _contents

          protected Iterator<JPropNode> _contents

  - ### Constructor Detail

    - #### JPropReadContext.ArrayContext

          public JPropReadContext.ArrayContext(JPropReadContext p,
                                       JPropNode arrayNode)

  - ### Method Detail

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()

      Specified by:
        `nextToken` in class `JPropReadContext`

Copyright © 2017 FasterXML. All rights reserved.